package org.cmh.backend.OrganizationManagement.repository;

import org.aspectj.weaver.ast.Or;
import org.cmh.backend.OrganizationManagement.model.Organization;
import org.cmh.backend.OrganizationManagement.service.OrganizationService;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface OrganizationRepository extends JpaRepository<Organization, Long> {

    List<Organization> findAll();
    Organization save(Organization organization);
    void deleteById(Long id);
    Organization findByOrganizationId(Long id);
    Organization findByOrganizationName(String name);

}
